# Class SwitchSummonPhase

#### Hierarchy (view full)

- SummonPhase
  - SwitchSummonPhase
    - ReturnPhase

- Defined in src/phases.ts:1481

#####
Index

### Constructors

constructor

### Properties

batonPass
doReturn
fieldIndex
lastPokemon
partyMemberIndex
player
scene
slotIndex

### Methods

end
executeForAll
getOrder
getParty
getPokemon
hideEnemyTrainer
onEnd
preSummon
queuePostSummon
showEnemyTrainer
start
summon
switchAndSummon

## Constructors

### constructor

- new SwitchSummonPhase(scene, fieldIndex, slotIndex, doReturn, batonPass, player?): SwitchSummonPhase

- #### Parameters

  - scene: default
  - fieldIndex: number
  - slotIndex: number
  - doReturn: boolean
  - batonPass: boolean
  - `Optional` player: boolean

  #### Returns SwitchSummonPhase

  Overrides SummonPhase.constructor

  - Defined in src/phases.ts:1488

## Properties

### `Private` batonPass

batonPass: boolean

- Defined in src/phases.ts:1484

### `Private` doReturn

doReturn: boolean

- Defined in src/phases.ts:1483

### `Protected` fieldIndex

fieldIndex: number

Inherited from SummonPhase.fieldIndex

- Defined in src/phases.ts:714

### `Private` lastPokemon

lastPokemon: default

- Defined in src/phases.ts:1486

### `Protected` partyMemberIndex

partyMemberIndex: number

Inherited from SummonPhase.partyMemberIndex

- Defined in src/phases.ts:713

### `Protected` player

player: boolean

Inherited from SummonPhase.player

- Defined in src/phases.ts:715

### `Protected` scene

scene: default

Inherited from SummonPhase.scene

- Defined in src/phase.ts:4

### `Private` slotIndex

slotIndex: number

- Defined in src/phases.ts:1482

## Methods

### end

- end(): void

- #### Returns void

  Inherited from SummonPhase.end

  - Defined in src/phases.ts:1474

### executeForAll

- executeForAll(func): void

- #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from SummonPhase.executeForAll

  - Defined in src/phases.ts:681

### getOrder

- getOrder(): BattlerIndex []

- #### Returns BattlerIndex []

  Inherited from SummonPhase.getOrder

  - Defined in src/phases.ts:659

### getParty

- getParty(): default []

- #### Returns default []

  Inherited from SummonPhase.getParty

  - Defined in src/phases.ts:727

### getPokemon

- getPokemon(): default

- #### Returns default

  Inherited from SummonPhase.getPokemon

  - Defined in src/phases.ts:731

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from SummonPhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### onEnd

- onEnd(): void

- #### Returns void

  Overrides SummonPhase.onEnd

  - Defined in src/phases.ts:1588

### preSummon

- preSummon(): void

- Sends out a Pokemon before the battle begins and shows the appropriate messages

  #### Returns void

  Overrides SummonPhase.preSummon

  - Defined in src/phases.ts:1496

### queuePostSummon

- queuePostSummon(): void

- #### Returns void

  Overrides SummonPhase.queuePostSummon

  - Defined in src/phases.ts:1614

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from SummonPhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Inherited from SummonPhase.start

  - Defined in src/phases.ts:1310

### summon

- summon(): void

- #### Returns void

  Inherited from SummonPhase.summon

  - Defined in src/phases.ts:1376

### switchAndSummon

- switchAndSummon(): void

- #### Returns void

  - Defined in src/phases.ts:1546